From 43e5255728845f9314049a20644fc19a745cde81 Mon Sep 17 00:00:00 2001
From: Tuomo Soini <tis@foobar.fi>
Date: Fri, 11 Oct 2024 18:28:24 +0300
Subject: [PATCH] ipsec: fix duplicate --ctlsocket option for whack

github issue: whack error: duplicated flag ctlsocket #1840
---
 programs/ipsec/ipsec.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/programs/ipsec/ipsec.in b/programs/ipsec/ipsec.in
index 1510d238d0..fbceac682b 100755
--- a/programs/ipsec/ipsec.in
+++ b/programs/ipsec/ipsec.in
@@ -1203,7 +1203,7 @@ while [ ${#} -gt 0 ]; do
 	    # We need to make sure we don't give it twice
 	    shift
 	    case " ${@} " in
-		--ctlsocket)
+		*" --ctlsocket "*)
 		    exec ${dry_run} "${IPSEC_EXECDIR}/whack" "${@}"
 		    ;;
 		*)
-- 
2.48.1

